> ## Documentation Index
> Fetch the complete documentation index at: https://docs.senseaudio.cn/llms.txt
> Use this file to discover all available pages before exploring further.

# 删除自定义 Agent

> 删除一个已存在的自定义 Agent，删除后该 Agent 将无法再被使用。



## OpenAPI

````yaml DELETE /v1/agent/{id}
openapi: 3.1.0
info:
  title: SenseAudio Open Platform API
  description: >-
    SenseAudio 开放平台
    API，覆盖语音合成、语音识别、音色能力、音乐生成、图片生成、视频生成、智能体与大语言模型等能力。未显式说明的字段为依据素材文档推断。
  version: 1.0.0
servers:
  - url: https://api.senseaudio.cn
    description: 生产环境
security:
  - bearerAuth: []
paths:
  /v1/agent/{id}:
    delete:
      tags:
        - Agents
      summary: 删除自定义 Agent
      description: 删除一个已存在的自定义 Agent，删除后该 Agent 将无法再被使用。
      operationId: deleteCustomAgent
      parameters:
        - name: Content-Type
          in: header
          required: true
          description: 内容类型。固定为 application/json
          schema:
            type: string
            default: application/json
            example: application/json
        - name: id
          in: path
          required: true
          description: Agent ID
          schema:
            type: string
            example: 69b6ac2100000d8dbf84289c
      responses:
        '200':
          description: 成功响应，无响应体
          content:
            application/json:
              schema:
                $ref: abc7c7a9-95a6-491f-ada1-7e3e6326008a
              example: {}
        '400':
          description: 参数错误
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                code: invalid
        '401':
          description: 鉴权失败
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                code: authentication_error
                message: incorrect API key provided
        '500':
          description: 服务器内部错误
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                code: internal
                message: 服务繁忙，请稍后再试
                ref_code: 500000
      security:
        - bearerAuth: []
components:
  schemas:
    ErrorResponse:
      type: object
      properties:
        code:
          type: string
        message:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API_KEY
      description: 格式：`Bearer <API_KEY>`

````